.triviaQuestion-container {
  width: 100vw;
  height: 100vh;
  background-color: #FFFFFF;

  &-top {
    width: 100vw;
    min-height: 40vh;
    height: auto;
    background: url("../assets/img/random-shapes.svg");
    background-color: #282c34;
    @media screen and (max-width: 768px) {
      min-height: 65vh;
      height: auto;
    }

    &-header {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      padding-left: 5%;
      padding-right: 5%;
      padding-top: 3vh;
      @media screen and (max-width: 768px) {
        flex-direction: column;
      }

      &__logo {
        width: 350px;
        @media screen and (max-width: 768px) {
          width: 300px;
          margin-left: auto;
          margin-right: auto;
        }

      }

      &__panel {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 280px;
        height: auto;
        @media screen and (max-width: 768px) {
          margin-top: 20px;
        }

        &__score {
          height: 95px;
          width: 130px;
          background-color: #FFFFFF;
          border-radius: 10px;
          text-align: center;

          &__title {
            color: #1d1d1d;
          }

          &__result {
            color: #1d1d1d;
            font-weight: lighter;
          }
        }

        &__miss {
          height: 95px;
          width: 130px;
          background-color: #FFFFFF;
          border-radius: 10px;

          &__title {
            color: #1d1d1d;
          }

          &__result {
            color: #1d1d1d;
            font-weight: lighter;
          }
        }
      }
    }

    &__text {
      text-align: left;
      margin-left: 5%;
      padding-top: 8vh;
      @media screen and (max-width: 768px) {
        padding-top: 1vh;
        text-align: center;
      }
    }

    &__question {
      color: #FFFFFF;
      font-weight: lighter;

      &__link {
        color: #FFFFFF;
        font-weight: lighter;
        text-decoration: underline;
        text-decoration-color: #FFFFFF;
      }
    }

    &__category {
      color: #FFFFFF;
    }
  }

  &-bottom {
    width: 100vw;
    height: 60vh;
    background-color: #FFFFFF;
    @media screen and (max-width: 768px) {
      height: 35vh;
    }

    &-form {
      padding-top: 10vh;
      @media screen and (max-width: 768px) {
        padding-top: 5vh;
      }
    }

    &-question {
      display: flex;
      justify-content: center;


      &__answerInput {
        width: 40%;
        height: 50px;
        outline-style: none;
        background-color: #F0F0F0;
        border: 1px solid #1d1d1d;
        border-radius: 5px;
        margin-right: 10px;
        font-size: 25px;
        transition: all 0.5s ease;
        @media screen and (max-width: 768px) {
          width: 200px;
        }

      }

      &__button {
        width: 15%;
        border-radius: 5px;
        padding: 5px;
        background-color: #1d1d1d;
        border: 1px solid #1d1d1d;
        color: #FFFFFF;
        font-size: 20px;
        margin-left: 10px;
        cursor: pointer;
        @media screen and (max-width: 768px) {
          width: 80px;
          font-size: 15px;
        }
      }
    }

    &-options {
      width: 100%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding-top: 20vh;
      padding-bottom: 5vh;
      background-color: #FFFFFF;
      @media screen and (max-width: 768px) {
        padding-top: 10vh;
      }
      @media screen and (max-width: 350px) {
        flex-direction: column;
      }

      &-left {
        width: 200px;
        cursor: pointer;
      }

      &-link {
        text-decoration: none;
      }

      &__img {
        width: 15px;
        height: 10px;
      }

      &__return {
        margin-left: 5%;
        text-decoration: none;
        color: #1d1d1d;
        font-size: 17px;
      }

      &__reset {
        width: 150px;
        border-radius: 5px;
        padding: 5px;
        background-color: #1d1d1d;
        border: 1px solid #1d1d1d;
        color: #FFFFFF;
        font-size: 17px;
        margin-right: 5%;
        @media screen and (max-width: 350px) {
          margin-top: 15px;
          margin-left: 25px;
        }
      }
    }

    &-solution {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;

      &__button {
        width: 280px;
        border-radius: 5px;
        padding: 5px;
        background-color: #1d1d1d;
        border: 1px solid #1d1d1d;
        color: #FFFFFF;
        font-size: 16px;
        cursor: pointer;
        margin-top: 10px;
      }

      &__text {
        font-size: 16px;
        color: #1d1d1d;
        font-weight: bold;
        margin-top: 10px;
      }
    }

  }
}


.loader {
  position: fixed;
  top: 40%;
  left: 45%;
  transform: translate(-50%, -50%);
  border: 16px solid #f3f3f3;
  border-top: 16px solid #ec387e;
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  @media screen and (max-width: 350px) {
    left: 30%;
  }
}


@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}